// creator  : weidu.exe (version 23100)
// argument : _IRLENT.DLG
// game		 : .
// source	 : ./override/_IRLENT.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_IRLENT~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #80797 /* ~Greetings, house guests.  I must assume that you are the friends that have had Aldeth so excited.  I must introduce myself: I am Irlentree, one of Aldeth's partners in business.  I've come to announce that the company is celebrating the anniversary of Aldeth's stay with us.  I would like you to join us for the festivities; there should be some interesting... surprises.~ */
  IF ~~ THEN REPLY #80798 /* ~Sorry, we don't feel up to it right now.~ */ DO ~SetGlobal("ZorlParty","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #80800 /* ~We'll be there.~ */ DO ~SetGlobal("ZorlParty","GLOBAL",1)
~ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #80801 /* ~No, I don't think you understand.  I insist that you be there.  You should go soon... I'm sure you'd enjoy it.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #80802 /* ~The party is set to take place on the third floor.  If you go up there... I'll meet you soon after.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #80799 /* ~Investigating the Merchant Consortium

Irlentree, one of the owners of the Merchant Consortium, introduced himself to us.  He invited us to Aldeth's anniversary party on the third floor.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #80803 /* ~Are you sure Aldeth, I was most certain that this was the day.~ */
  IF ~~ THEN EXTERN ~_ZORL~ 6
END

IF ~~ THEN BEGIN 4 // from:
  SAY #80828 /* ~Come now Zorl, we mustn't be so rude.  These primates are about to take the final step, to become something much greater than what they were.~ */
  IF ~~ THEN EXTERN ~_ZORL~ 7
END

IF ~NumberOfTimesTalkedTo(1)
~ THEN BEGIN 5 // from:
  SAY #80829 /* ~You must not bother me at the moment prim... friends; I am a very busy man.  If you are overly excited about the upcoming feas... party, don't be worried, we won't start without you.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 6 // from:
  SAY #80830 /* ~Why don't you go to the third floor friend... the party is starting there, and... some friends of mine wouldn't mind meeting you.~ */
  IF ~~ THEN EXIT
END
